Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.index
Class SecondaryIndexSearcher

    java.lang.Object
      org.apache.cassandra.db.index.SecondaryIndexSearcher

Direct Known Subclasses:
  KeysSearcher

    public abstract class SecondaryIndexSearcher

extends java.lang.Object

Field Summary
`protected ColumnFamilyStore` | `baseCfs`
`protected java.util.Set<java.nio.ByteBuffer>` | `columns`
`protected SecondaryIndexManager` | `indexManager`

Constructor Summary
`SecondaryIndexSearcher(SecondaryIndexManager indexManager, java.util.Set<java.nio.ByteBuffer> columns)`

Method Summary
`abstract boolean` | `isIndexing(java.util.List<IndexExpression> clause)`
`abstract java.util.List<Row>` | `search(java.util.List<IndexExpression> clause, AbstractBounds<RowPosition> range, int maxResults, IFilter dataFilter, boolean maxIsColumns)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### indexManager

    protected SecondaryIndexManager indexManager

### columns

    protected java.util.Set<java.nio.ByteBuffer> columns

### baseCfs

    protected ColumnFamilyStore baseCfs

Constructor Detail

### SecondaryIndexSearcher

    public SecondaryIndexSearcher(SecondaryIndexManager indexManager,
                                  java.util.Set<java.nio.ByteBuffer> columns)

Method Detail

### search

    public abstract java.util.List<Row> search(java.util.List<IndexExpression> clause,
                                               AbstractBounds<RowPosition> range,
                                               int maxResults,
                                               IFilter dataFilter,
                                               boolean maxIsColumns)

### isIndexing

    public abstract boolean isIndexing(java.util.List<IndexExpression> clause)

  Returns:
    true this index is able to handle given clauses.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation